Skip to navigation

Get Tax Code

View as Markdown

Access control: this endpoint is available to users with the everyone role.

Get the taxcode object identified by this URL. A ‘TaxCode’ represents a uniquely identified type of product, good, or service. Avalara supports correct tax rates and taxability rules for all TaxCodes in all supported jurisdictions. If you identify your products by tax code in your ‘Create Transaction’ API calls, Avalara will correctly calculate tax rates and taxability rules for this product in all supported jurisdictions.

Security Policies

  • This API requires one of the following user roles: AccountAdmin, AccountOperator, AccountUser, AvaTaxOnlyAccountAdmin, AvaTaxOnlyAccountUser, AvaTaxOnlyCompanyAdmin, AvaTaxOnlyCompanyUser, BatchServiceAdmin, CompanyAdmin, CompanyUser, CSPAdmin, CSPTester, ECMAccountUser, ECMCompanyUser, SiteAdmin, SSTAdmin, SystemAdmin, TechnicalSupportAdmin, TechnicalSupportUser.

Authentication

Authorizationstring
API Key authentication via header

Path parameters

companyIdintegerRequired
The ID of the company that owns this tax code
idintegerRequired
The primary key of this tax code

Headers

X-Avalara-ClientstringOptionalDefaults to Swagger UI; 26.7.0; Custom; 1.0

Identifies the software you are using to call this API. For more information on the client header, see Client Headers .

Response

Success
taxCodestring0-25 characters
A code string that identifies this tax code.
taxCodeTypeIdstring0-2 characters
The type of this tax code.
idintegerOptionalRead-only
The unique ID number of this tax code.
companyIdintegerOptionalRead-only
The unique ID number of the company that owns this tax code.
descriptionstringOptional0-255 characters
A friendly description of this tax code.
parentTaxCodestringOptional0-25 characters
If this tax code is a subset of a different tax code, this identifies the parent code.
isPhysicalbooleanOptionalRead-only
True if this tax code type refers to a physical object. Read only field.
goodsServiceCodelongOptional
The Avalara Goods and Service Code represented by this tax code.
entityUseCodestringOptional0-40 characters
The Avalara Entity Use Code represented by this tax code.
isActivebooleanOptional
True if this tax code is active and can be used in transactions.
isSSTCertifiedbooleanOptional
True if this tax code has been certified by the Streamlined Sales Tax governing board. By default, you should leave this value empty.
createdDatedatetimeOptionalRead-only
The date when this record was created.
createdUserIdintegerOptionalRead-only
The User ID of the user who created this record.
modifiedDatedatetimeOptionalRead-only

The date/time when this record was last modified.

modifiedUserIdintegerOptionalRead-only
The user ID of the user who last modified this record.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error